
from abc import ABC

from level.elements.static.StaticLevelElement import StaticLevelElement


class InputLevelElement(StaticLevelElement, ABC):
    def __init__(self, tile: dict, loaded_level):
        super().__init__(tile, loaded_level)

        if 'emitter_state' in tile:
            self.emitter_state = tile['emitter_state'] == 'true'
        else:
            self.emitter_state = False
